# Starbecue

if you have a question check [the FAQ]() If availble or navigate to the in game help tabs, most SBQ interfaces will have a tab with an icon of a book which has information that may help you.

# Install

Make sure to delete any previously installed versions of starbecue within the `Starbound/mods/`
This includes any version of `starbecue.pak` and `starboundSpeciesAnimOverrides.pak`

Latest versions are available on [patreon](https://www.patreon.com/LokiVulpix)

This mod Requires [Stardust Core Lite](https://steamcommunity.com/sharedfiles/filedetails/?id=2512589532) or [Stardust Core](https://steamcommunity.com/sharedfiles/filedetails/?id=764887546)

While not required it is recommended you install the Monster Config Core Loader mods found [here](https://steamcommunity.com/sharedfiles/filedetails/?id=2442860690) and [here](https://steamcommunity.com/sharedfiles/filedetails/?id=2442873217), if you're using Stardust Core then you should get [this](https://steamcommunity.com/sharedfiles/filedetails/?id=2690363974) and if you're using FU you'll also need [this](https://steamcommunity.com/sharedfiles/filedetails/?id=2442880727) because it should fix potential compatibility issues.

Further steps are OS specific!

## Windows

### Setup Script
Double dlick the provided `setup.bat` file to execute it

The script has will have copied the files into their correct place, you can now play starbound with the mod!

if this didn't work try manual setup, or open the script in a text editor and change the starbound directory path to where yours is located

### Manual Setup
Open the `Starbound` directory by viewing its properties on steam, and then click `Browse` on the `Installed Files` tab

Place `starbecue.pak` and `starboundSpeciesAnimOverrides.pak` files within `Starbound\mods\`

if you downloaded the win64 version, you're going to open the `Starbound\win64\` folder

Replace the `starbound.exe` file with the provided version
if you are running a server, also replace `starbound_server.exe` provided seperately

## macOS

### Setup Script
Open the diretory containing these files within terminal, this can be done by left clicking the folder and selecting "New Terminal At Folder" or opening terminal and input the following command, (you can simply drag the folder into terminal rather than typing the path manually)

`cd /Users/(Username)/Downloads/starbecue_osx_v(version)`

Input the following commands
`chmod +x ./setup.sh`
`./setup.sh`

The script has will have copied the files into their correct place, you can now play starbound with the mod!

if this didn't work try manual setup, or open the script in a text editor and change the starbound directory path to where yours is located

### Manual Setup

Open the `Starbound` directory by viewing its properties on steam, and then click `Browse` on the `Installed Files` tab

Place `starbecue.pak` and `starboundSpeciesAnimOverrides.pak` files within `Starbound\mods\`

Replace the `starbound` file within `Starbound/osx/Starbound.app/Contents/MacOS/` with the provided version (left click and select "Show Package Contents" on Starbound.app)

Replace the `starbound_server` file within `Starbound/osx/` with the provided version if you are running a server

The files are now in the correct place, you can now play starbound with the mod!

## Uninstall
Open the `Starbound` directory by viewing its properties on steam, and then click `Browse` on the `Installed Files` tab

delete `starbecue.pak` in the `mods` folder

IF you are playing with other players who have the same modified executable, but simply do not wish to have SBQ content, you can stop here

return to the `Installed Files` tab and select `Verify integrity of game files`

Steam will then re-download the unmodified versions of the game executable


# WARNING! the following text explaining how the mod works may be innacurate while we are working on this major rewrite!

# Getting Started

To get started with the mod, all you need to do is open your crafting interface, and craft a **Vore Controller**. When holding it in hand, hold shift and up to see your avalable actions, click to select one and assign it to the controller perform the action.

After you have an assigned vore controller, you can click it to activate **Vore mode** and then click on things to vore them, you may notice your player character jitter slightly on activation, this is normal. While in vore mode you will have a hud in the bottom right to show you your prey and belly effects, if you click the gear you can get more settings to enable or diable other vore types as well as being prey, you can access the same menu via the quickbar as well even when not in vore mode.

When in vore mode, or tranformed into a different player species, some items may appear buggy in your hands, this is normal, this is not something we can fix, do not report it as a bug.

The settings panel also has ingame help information, click on any of the book tabs to get information about the mod.

To exit **Vore More** one simply needs to release all their prey, at which point, the **Let Out** action will become an **X** which can de-activate vore mode.

Races which are supported in **Vore Mode** are listed down below, unsupported races will still be able to use the controllers, but will not have any vore sprites, or they might not display at all.

More content can be found via discovering **Auri's Shop** which you can get to via some mysterious fireplaces you might find on lush planets, they look like this:
![](/fireplace.png)


# Features

![](/vehicles/sbq/sbqVaporeon/sbqVaporeon.png)![](/vehicles/sbq/sbqEgg/sbqEgg.png)![](/vehicles/sbq/sbqSlime/sbqSlime.png)![](/vehicles/sbq/sbqXeronious/sbqXeronious.png)![](/vehicles/sbq/sbqAvian/sbqAvian.png)![](/vehicles/sbq/sbqZiellekDragon/sbqZiellekDragon.png)![](/vehicles/sbq/sbqFray_IcyVixen/sbqFray_IcyVixen.png)

### Playable Predator transformation
- Vaporeon
- (Kaiju) Xeronious
- Avian
- Slime
- Ziellek Dragon
- Fray the Vulpix

### Player/NPC Predator species
- Human
- Hylotl
- Floran
- Avian
- Apex
- Glitch
- Novakid
- Fenerox
- [Avali](https://steamcommunity.com/sharedfiles/filedetails/?id=729558042)
- [Novali](https://steamcommunity.com/sharedfiles/filedetails/?id=1386730092)
- [Lucario](https://steamcommunity.com/sharedfiles/filedetails/?id=1356955138)
- [Lycanroc](https://steamcommunity.com/sharedfiles/filedetails/?id=1800401078)
- [Eevee](https://steamcommunity.com/sharedfiles/filedetails/?id=1405822108) (GalaxyFoxes)
- [Eevee](https://steamcommunity.com/sharedfiles/filedetails/?id=1266991719) (Remade)
- Vaporeon (SBQ)
- [Jolteon](https://steamcommunity.com/sharedfiles/filedetails/?id=2075613227)
- Flareon (SBQ)
- [Espeon](https://steamcommunity.com/sharedfiles/filedetails/?id=1144430324)
- [Umbreon](https://steamcommunity.com/sharedfiles/filedetails/?id=730345787)
- [Glaceon](https://steamcommunity.com/sharedfiles/filedetails/?id=2012704863)
- [Sylveonoid](https://steamcommunity.com/sharedfiles/filedetails/?id=2843385916)
- [Braixen](https://steamcommunity.com/sharedfiles/filedetails/?id=2260578148)
- [Delphox](https://steamcommunity.com/sharedfiles/filedetails/?id=2260578148)
- [Zoroark](https://steamcommunity.com/sharedfiles/filedetails/?id=2811625141)
- [Hisui Zoroark](https://steamcommunity.com/workshop/filedetails/?id=2813977483)
- Meowscarada (SBQ)
- Hellhound (SBQ)
- [Crylan](https://steamcommunity.com/sharedfiles/filedetails/?id=1197335162)
- [Rodent](https://github.com/Zygahedron/StarboundSimpleVoreMod) (Sheights' version of SSVM is broken, this is a fixed fork)
- [Lyceen](https://steamcommunity.com/sharedfiles/filedetails/?id=1360547769)
- [Latex](https://steamcommunity.com/sharedfiles/filedetails/?id=1818502101)
- [Elysian](https://steamcommunity.com/sharedfiles/filedetails/?id=1405822108)
- [Fennix](https://steamcommunity.com/sharedfiles/filedetails/?id=1405822108)
- [Felin](https://steamcommunity.com/sharedfiles/filedetails/?id=729429063)
- [Draconis](https://steamcommunity.com/sharedfiles/filedetails/?id=1370154570)
- [Draconis](https://steamcommunity.com/sharedfiles/filedetails/?id=1226150792) (Full Dragon Reskin)
- [Gnolls](https://steamcommunity.com/sharedfiles/filedetails/?id=1655860448)
- [Argonians](https://steamcommunity.com/sharedfiles/filedetails/?id=740694177)
- [Sergals](https://steamcommunity.com/sharedfiles/filedetails/?id=1420856270) (Most reskins should work too)
- [Familiars](https://steamcommunity.com/sharedfiles/filedetails/?id=729597107)
- [Vulpes](https://steamcommunity.com/sharedfiles/filedetails/?id=1307942879)
- [Kazdra](https://steamcommunity.com/sharedfiles/filedetails/?id=767787220)
- [Elduukhar](https://steamcommunity.com/sharedfiles/filedetails/?id=729480149)
- [Attarran](https://steamcommunity.com/sharedfiles/filedetails/?id=797166006)
- [Neki](https://steamcommunity.com/sharedfiles/filedetails/?id=2611501999)
- [Mechineki](https://steamcommunity.com/sharedfiles/filedetails/?id=2740063170)
- [Lastree](https://steamcommunity.com/sharedfiles/filedetails/?id=1380941596)
- [Synth](https://steamcommunity.com/sharedfiles/filedetails/?id=2207290706)
- [Bunnykin](https://steamcommunity.com/sharedfiles/filedetails/?id=732452461)
- [Yharian](https://www.furaffinity.net/view/47517002/)
- [Spacekidds](https://steamcommunity.com/sharedfiles/filedetails/?id=2790390697)
- [Viera](https://steamcommunity.com/sharedfiles/filedetails/?id=732276079)
- [Everis](https://steamcommunity.com/sharedfiles/filedetails/?id=1117006719)
- [Bossmonster](https://steamcommunity.com/sharedfiles/filedetails/?id=1563090801)
- [Twilit Wolves](https://steamcommunity.com/sharedfiles/filedetails/?id=1818480557)
- [Mons](https://steamcommunity.com/sharedfiles/filedetails/?id=2310314462)
- [Spirit Tree](https://steamcommunity.com/sharedfiles/filedetails/?id=2191906942)
- [Squamaeft](https://steamcommunity.com/sharedfiles/filedetails/?id=2462459956)

This mod includes no assets from the respective modded races, modified or not, meaning said modded race *must* be installed to access its content


### NPC Vore Tenants
- Loki Deerfox (Pred/Prey) LokiVulpix
- Auri Drimyr (Pred/Prey) LokiVulpix
- Socks Flareon (Pred/Prey) LokiVulpix
- Clover Meowscarada (Pred/Prey) LokiVulpix
- Zevi Goocat (Pred/Prey) Zygahedron
- Helena Hellhound (Pred/Prey) FFWizard
- Sandy Floatporeon (Pred/Prey) Fevix
- Batty (Pred/Prey) Xeronious
- Blue the Synth (Pred/Prey) Blueninja (requires [Synth](https://steamcommunity.com/sharedfiles/filedetails/?id=2207290706) mod )
- Akari Kaen
- Ferri Catfox (Pred/Prey) Ferrilata_

Purchase a **Vore Colony Deed** from Auri's shop to summon a vore Tenant, those listed above are OC NPCs which may have unique dialogue, you can summon an NPC of any compatible species, they may share the same dialogue line pool, however they are able to do more vore types.

### Other Things
- TF Dart Gun
- Shrink Ray
- Egg
- Plastic Egg

# Playable Predator Info

Special potions can be purchased from Auri's shop which can transform you into large predators, and grants you a head tech that allows you to choose which one you wish to transform into if you've unlocked multiple.

Full use of this system requires you to bind Tech Action 2 and 3 in the options if they aren't already bound. We recommend the G and H keyes respectively, because they're right by F, and that's what they were back in really old versions of the game when they were actually used in vanilla.

When turning into a predator you will be given a controller item, this is required for the predator transformation to detect some keys being pressed, such as Shift, as well as pass some more data to the vehicle that it cannot detect without it.

Tapping Shift+Up with a controller allows you to bring up the action wheel, at the bottom you will be able to let out the most recently eaten prey, or despawn the predator transformation, you can also choose to assign a vore action to that controller to be performed on that controller's click, or choose to perform a prey action on prey you've already consumed, different locations in your body may have unique actions. A pred might also have some vore actions that are available in some states but not others, clicking with a controller with an assigned action that the pred does not have will not result in anything.

Most predators will have the same movement controls a player would, but tapping movment keys can be used to transition between different poses, like standing or sitting or sleeping, etc.

To let people out that you previously ate, either use the letout action on your controller, or if you are in a large transformation simply press Tech Action 2 (G) to let out the most recent that can be let out.

In the bottom right you will have a HUD to show what occupants you've eaten, as well as your current belly effect, this can be used to quickly change the effect, as well as access the settings quickly, and peform actions on the prey by clicking on them, such as letting them out, turbo digesting them, or predator specific actions, like transforming them.

# Prey Info

Whether you are being eaten by a object predator, or a player transformed into a predator, as prey you will have a HUD in the bottom right, this indicates which directions you can struggle to cause the predator to do something.

For player controlled predators, most struggles are disabled so that player is in full control of their state, but if they are in a state where an escape is available, you may be able to struggle out still, but it is possible for them to disable being able to escape entirely in their settings.

#### Red
indicates a direction in which you could escape, such as out the mouth or butt, your prey settings do not impact whether the arrow appears or not, but they do effect whether you can actually escape, a red arrow may indicate an anal vore escape, but if it isn't enabled in your settings, struggling that direction will not do anything.

#### Blue
Indicates a state change, such as making the predator stand up or sit down.

#### Green
Indicates a state change, but only for state changes that would bring you closer to a state you can escape from.

#### Cyan
Indicates a direction that would move you to another location within the predator's body.

#### Yellow
Indicates a direction that would cause you to get eaten, only appears if you're just being held or hugged.

# Settings

The settings menu can be accessed from the quickbar, or from the predator HUD.

#### Pred Tab

The Settings menu will open to the Global Pred settings tab by default, these settings effect how you will perform as a predator.

The belly effect names are self explanitory and have tooltips if you hover over them.

#### Prey Tab

Some people don't like certain kinds of vore, some people don't like vore at all! but they still might want to play games with other people who do, and this is meant to make that much easier.

Players can use the quickbar to access Starbecue's settings, the prey tab brings up a window with a bunch of checkboxes, this allows you to opt in and out of what types of vore can be done to you, check it if you're ok being prey for it, uncheck if you aren't, if you don't want to be prey at all just uncheck the "Prey Enabled" at the bottom of the menu, which overrides all the others.

Currently this does not affect whether any other vore mods can or can't perform vore on the player.

# Support Us!

https://www.patreon.com/LokiVulpix

Vote on what should be the next feature worked on!

## Main Credits

### Zygan (Zygahedron)

Artist, Lua scripting and debugging.

### LokiVulpix / Wasabi_Raptor

Artist, Lua scripting and debugging.

> I take commissions! contact me if I am open!
>
> https://itaku.ee/profile/lokivulpix
> https://twitter.com/LokiVulpix
